searchData={"items":[{"type":"module","title":"Aura","doc":"Documentation for `Aura`.","ref":"Aura.html"},{"type":"function","title":"Aura.hello/0","doc":"Hello world.","ref":"Aura.html#hello/0"},{"type":"function","title":"Examples - Aura.hello/0","doc":"iex> Aura.hello()\n    :world","ref":"Aura.html#hello/0-examples"},{"type":"module","title":"Aura.Packages","doc":"Service module for interacting with Hex Packages","ref":"Aura.Packages.html"},{"type":"function","title":"Aura.Packages.add_package_owner/3","doc":"Adds a new `Aura.Model.HexPackageOwner` to a `Aura.Model.HexPackage`","ref":"Aura.Packages.html#add_package_owner/3"},{"type":"function","title":"Aura.Packages.get_package/2","doc":"Returns a single `Aura.Model.HexPackage`","ref":"Aura.Packages.html#get_package/2"},{"type":"function","title":"Aura.Packages.get_package_owner/3","doc":"Returns a `Aura.Model.HexPackageOwner` for a given username / package","ref":"Aura.Packages.html#get_package_owner/3"},{"type":"function","title":"Aura.Packages.list_package_owners/2","doc":"Returns a list of `Aura.Model.HexPackageOwner`","ref":"Aura.Packages.html#list_package_owners/2"},{"type":"function","title":"Aura.Packages.remove_package_owner/3","doc":"Removes a `Aura.Model.HexPackageOwner` from a `Aura.Model.HexPackage`","ref":"Aura.Packages.html#remove_package_owner/3"},{"type":"function","title":"Aura.Packages.stream_audit_logs/2","doc":"Returns a stream of `Aura.Model.HexAuditLog`, scoped to a package","ref":"Aura.Packages.html#stream_audit_logs/2"},{"type":"function","title":"Aura.Packages.stream_packages/1","doc":"Returns a stream of `Aura.Model.HexPackage`s","ref":"Aura.Packages.html#stream_packages/1"},{"type":"module","title":"Aura.Releases","doc":"Service module for interacting with Hex package releases","ref":"Aura.Releases.html"},{"type":"function","title":"Aura.Releases.delete_release/3","doc":"","ref":"Aura.Releases.html#delete_release/3"},{"type":"function","title":"Aura.Releases.delete_release_docs/3","doc":"","ref":"Aura.Releases.html#delete_release_docs/3"},{"type":"function","title":"Aura.Releases.get_release/3","doc":"Returns a `Aura.Model.HexRelease` for a given package / version","ref":"Aura.Releases.html#get_release/3"},{"type":"function","title":"Aura.Releases.get_release_docs/3","doc":"Returns the contents of docs **tar.gz**","ref":"Aura.Releases.html#get_release_docs/3"},{"type":"function","title":"Aura.Releases.publish_release/2","doc":"","ref":"Aura.Releases.html#publish_release/2"},{"type":"function","title":"Aura.Releases.publish_release_docs/4","doc":"","ref":"Aura.Releases.html#publish_release_docs/4"},{"type":"function","title":"Aura.Releases.retire_release/5","doc":"","ref":"Aura.Releases.html#retire_release/5"},{"type":"function","title":"Aura.Releases.undo_retire_release/3","doc":"","ref":"Aura.Releases.html#undo_retire_release/3"},{"type":"module","title":"Aura.Model.HexAPIKey","doc":"A struct describing an API key record coming from a Hex-compliant API.","ref":"Aura.Model.HexAPIKey.html"},{"type":"type","title":"Aura.Model.HexAPIKey.api_key_name/0","doc":"A human-readable name for this API key (e.g `\"my_computer\"`)","ref":"Aura.Model.HexAPIKey.html#t:api_key_name/0"},{"type":"type","title":"Aura.Model.HexAPIKey.api_permission/0","doc":"A permission realm that this API key has.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAPIKey.api_permission/0","doc":"* **domain** :: A domain for which this API key is valid\n    * (e.g `\"api\"`, `\"repository\"`, `\"repositories\"`, `\"package\"`)\n  * **resource** :: What kind of operations this API key can do within its domain\n    * (e.g `\"read\"`, `\"write\"`)\n\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:api_permission/0-keys"},{"type":"type","title":"Aura.Model.HexAPIKey.authing_key/0","doc":"❓ Sorry, documentation from the hex specification is lacking here. ❓","ref":"Aura.Model.HexAPIKey.html#t:authing_key/0"},{"type":"function","title":"Aura.Model.HexAPIKey.build/1","doc":"Builds a `HexAPIKey` from a map","ref":"Aura.Model.HexAPIKey.html#build/1"},{"type":"type","title":"Aura.Model.HexAPIKey.revoked_date_time/0","doc":"UTC `DateTime` when this key became invalid","ref":"Aura.Model.HexAPIKey.html#t:revoked_date_time/0"},{"type":"type","title":"Aura.Model.HexAPIKey.secret/0","doc":"The API key payload - it is only provided once, upon creation; always `nil` after","ref":"Aura.Model.HexAPIKey.html#t:secret/0"},{"type":"type","title":"Aura.Model.HexAPIKey.t/0","doc":"Type describing an API key coming from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAPIKey.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAPIKey.t/0","doc":"* **authing_key** :: `t:authing_key/0`\n  * **secret** :: `t:secret/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **name** :: `t:api_key_name/0`\n  * **permissions** :: [`t:api_permission/0`]\n  * **revoked_date_time** :: `t:revoked_date_time/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAPIKey.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexAuditLog","doc":"A struct describing a single auditable action from a Hex-compliant API.","ref":"Aura.Model.HexAuditLog.html"},{"type":"type","title":"Aura.Model.HexAuditLog.audit_action/0","doc":"A short description of the action taken. (e.g `\"user.add\"`, `\"key.generate\"`)","ref":"Aura.Model.HexAuditLog.html#t:audit_action/0"},{"type":"type","title":"Aura.Model.HexAuditLog.audit_params/0","doc":"A map of all the details of an `t:audit_action/0`","ref":"Aura.Model.HexAuditLog.html#t:audit_params/0"},{"type":"function","title":"Aura.Model.HexAuditLog.build/1","doc":"Builds a `HexAuditLog` from a map","ref":"Aura.Model.HexAuditLog.html#build/1"},{"type":"type","title":"Aura.Model.HexAuditLog.t/0","doc":"Type describing an auditable action coming from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexAuditLog.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexAuditLog.t/0","doc":"* **action** :: `t:audit_action/0`\n  * **params** :: `t:audit_params/0`\n  * **user_agent** :: `t:user_agent/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexAuditLog.html#t:t/0-keys"},{"type":"type","title":"Aura.Model.HexAuditLog.user_agent/0","doc":"The `User-Agent` provided in the HTTP headers relevant to the `t:audit_action/0`","ref":"Aura.Model.HexAuditLog.html#t:user_agent/0"},{"type":"module","title":"Aura.Model.HexPackage","doc":"A struct describing a package from a Hex-compliant API","ref":"Aura.Model.HexPackage.html"},{"type":"function","title":"Aura.Model.HexPackage.build/1","doc":"Builds a `HexPackage` from a map","ref":"Aura.Model.HexPackage.html#build/1"},{"type":"type","title":"Aura.Model.HexPackage.private?/0","doc":"Whether this package is publicly available","ref":"Aura.Model.HexPackage.html#t:private?/0"},{"type":"type","title":"Aura.Model.HexPackage.repository/0","doc":"The repository the package belongs to (e.g `\"hexpm\"`)","ref":"Aura.Model.HexPackage.html#t:repository/0"},{"type":"type","title":"Aura.Model.HexPackage.t/0","doc":"Type describing a package from a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackage.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackage.t/0","doc":"* **name** :: `t:Aura.Common.package_name/0`\n  * **repository** :: `t:repository/0`\n  * **private** :: `t:private?/0`\n  * **meta** :: `t:Aura.Model.HexPackageMeta.t/0`\n  * **downloads** :: `t:Aura.Model.HexPackageDownloadStats.t/0`\n  * **releases** :: `t:map/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n  * **html_url** :: `t:Aura.Model.Common.html_url/0`\n  * **docs_html_url** :: `t:Aura.Model.Common.docs_html_url/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackage.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexPackageDownloadStats","doc":"A struct describing download stats associated to a `Aura.Model.HexPackage`","ref":"Aura.Model.HexPackageDownloadStats.html"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.all_time/0","doc":"Number of downloads since the first release","ref":"Aura.Model.HexPackageDownloadStats.html#t:all_time/0"},{"type":"function","title":"Aura.Model.HexPackageDownloadStats.build/1","doc":"Builds a `HexPackageDownloadStats` from a map","ref":"Aura.Model.HexPackageDownloadStats.html#build/1"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.t/0","doc":"Type describing the number of downloads for a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageDownloadStats.t/0","doc":"* **all** :: `t:all_time/0`\n  * **week** :: `t:this_week/0`\n  * **day** :: `t:today/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageDownloadStats.html#t:t/0-keys"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.this_week/0","doc":"Number of downloads this week","ref":"Aura.Model.HexPackageDownloadStats.html#t:this_week/0"},{"type":"type","title":"Aura.Model.HexPackageDownloadStats.today/0","doc":"Number of downloads today","ref":"Aura.Model.HexPackageDownloadStats.html#t:today/0"},{"type":"module","title":"Aura.Model.HexPackageMeta","doc":"A struct describing additional metadata about a `Aura.Model.HexPackage`","ref":"Aura.Model.HexPackageMeta.html"},{"type":"function","title":"Aura.Model.HexPackageMeta.build/1","doc":"Builds a `HexPackageMeta` from a map","ref":"Aura.Model.HexPackageMeta.html#build/1"},{"type":"type","title":"Aura.Model.HexPackageMeta.meta_url/0","doc":"Additional external URL relating to the package","ref":"Aura.Model.HexPackageMeta.html#t:meta_url/0"},{"type":"type","title":"Aura.Model.HexPackageMeta.package_description/0","doc":"Short, human-readable description of the package","ref":"Aura.Model.HexPackageMeta.html#t:package_description/0"},{"type":"type","title":"Aura.Model.HexPackageMeta.software_license/0","doc":"The software license associated to the package","ref":"Aura.Model.HexPackageMeta.html#t:software_license/0"},{"type":"type","title":"Aura.Model.HexPackageMeta.t/0","doc":"Type describing additional metadata about a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageMeta.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageMeta.t/0","doc":"* **maintainers** :: [`t:Aura.Common.username/0`]\n  * **links** ::  [`t:meta_url/0`]\n  * **licenses** :: [`t:software_license/0`]\n  * **description** :: `t:package_description/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageMeta.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexPackageOwner","doc":"A struct describing an owner of a `Aura.Model.HexPackage`","ref":"Aura.Model.HexPackageOwner.html"},{"type":"function","title":"Aura.Model.HexPackageOwner.build/1","doc":"Builds a `HexPackageOwner` from a map","ref":"Aura.Model.HexPackageOwner.html#build/1"},{"type":"type","title":"Aura.Model.HexPackageOwner.full_name/0","doc":"The user's full name (e.g `\"Jane Smith\"`)","ref":"Aura.Model.HexPackageOwner.html#t:full_name/0"},{"type":"type","title":"Aura.Model.HexPackageOwner.level/0","doc":"The user's administration level for this package","ref":"Aura.Model.HexPackageOwner.html#t:level/0"},{"type":"type","title":"Aura.Model.HexPackageOwner.social_handles/0","doc":"A map of social media handles owned by this user","ref":"Aura.Model.HexPackageOwner.html#t:social_handles/0"},{"type":"type","title":"Aura.Model.HexPackageOwner.t/0","doc":"Type describing an owner of a `Aura.Model.HexPackage`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexPackageOwner.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexPackageOwner.t/0","doc":"* **email** :: `t:Aura.Common.email/0`\n  * **full_name** ::  `t:full_name/0`\n  * **handles** :: `t:social_handles/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **level** :: `t:level/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n * **username** :: `t:Aura.Common.username/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexPackageOwner.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexRelease","doc":"A struct describing a single release of a `Aura.Model.HexPackage`","ref":"Aura.Model.HexRelease.html"},{"type":"function","title":"Aura.Model.HexRelease.build/1","doc":"Builds a `HexRelease` from a map","ref":"Aura.Model.HexRelease.html#build/1"},{"type":"type","title":"Aura.Model.HexRelease.build_tool_declarations/0","doc":"A mapping between a build-tool config (e.g `\"mix.exs\"`), and the configuration needed to grab this release\n(e.g `\"{:plug, \"~> 0.8.3\"}\"`)","ref":"Aura.Model.HexRelease.html#t:build_tool_declarations/0"},{"type":"type","title":"Aura.Model.HexRelease.docs?/0","doc":"Whether this release has associated docs","ref":"Aura.Model.HexRelease.html#t:docs?/0"},{"type":"type","title":"Aura.Model.HexRelease.package_reference_url/0","doc":"URI reference to the `Aura.Model.HexPackage` this release belongs to","ref":"Aura.Model.HexRelease.html#t:package_reference_url/0"},{"type":"type","title":"Aura.Model.HexRelease.release_checksum/0","doc":"SHA-256 checksum of the associated release **tar.gz**","ref":"Aura.Model.HexRelease.html#t:release_checksum/0"},{"type":"type","title":"Aura.Model.HexRelease.release_downloads/0","doc":"Number of all time downloads of this release","ref":"Aura.Model.HexRelease.html#t:release_downloads/0"},{"type":"type","title":"Aura.Model.HexRelease.release_meta/0","doc":"Additional information relevant to the release\n(e.g `%{elixir: nil, app: \"decimal\", build_tools: [\"mix\"]}`)","ref":"Aura.Model.HexRelease.html#t:release_meta/0"},{"type":"type","title":"Aura.Model.HexRelease.release_publisher/0","doc":"Information about the user which published this release\n  (e.g `%{url: (users url), username: \"eric\", email: \"eric@example.com\"}`)","ref":"Aura.Model.HexRelease.html#t:release_publisher/0"},{"type":"type","title":"Aura.Model.HexRelease.release_requirement/0","doc":"A dependency of this release (e.g `%{optional: false, app: \"my_package\", requirement: \"~> 2.11.52\"}`","ref":"Aura.Model.HexRelease.html#t:release_requirement/0"},{"type":"type","title":"Aura.Model.HexRelease.release_version/0","doc":"The version of this release","ref":"Aura.Model.HexRelease.html#t:release_version/0"},{"type":"type","title":"Aura.Model.HexRelease.retired?/0","doc":"Whether this release is considered retired","ref":"Aura.Model.HexRelease.html#t:retired?/0"},{"type":"type","title":"Aura.Model.HexRelease.t/0","doc":"Type describing an owner of a `Aura.Model.HexRelease`\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRelease.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexRelease.t/0","doc":"* **checksum** :: `t:release_checksum/0`\n  * **configs** ::  `t:build_tool_declarations/0`\n  * **docs_html_url** :: `t:Aura.Model.Common.docs_html_url/0`\n  * **has_docs** :: `t:docs?/0`\n  * **meta** :: `t:release_meta/0`\n  * **publisher** :: `t:release_publisher/0`\n  * **html_url** :: `t:Aura.Model.Common.html_url/0`\n  * **downloads** :: `t:release_downloads/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRelease.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexRepo","doc":"A struct describing a repository from a Hex-compliant API.\n\nThe main Hex.pm public repo is named `\"hexpm\"`; though private repos do exist.","ref":"Aura.Model.HexRepo.html"},{"type":"type","title":"Aura.Model.HexRepo.active?/0","doc":"Whether the repository is active","ref":"Aura.Model.HexRepo.html#t:active?/0"},{"type":"type","title":"Aura.Model.HexRepo.billing_active?/0","doc":"Whether the repository is a billable entity","ref":"Aura.Model.HexRepo.html#t:billing_active?/0"},{"type":"function","title":"Aura.Model.HexRepo.build/1","doc":"Builds a `HexRepo` from a map","ref":"Aura.Model.HexRepo.html#build/1"},{"type":"type","title":"Aura.Model.HexRepo.public?/0","doc":"Whether the repository is public","ref":"Aura.Model.HexRepo.html#t:public?/0"},{"type":"type","title":"Aura.Model.HexRepo.repo_name/0","doc":"The name of the repository (e.g `\"hexpm\"`)","ref":"Aura.Model.HexRepo.html#t:repo_name/0"},{"type":"type","title":"Aura.Model.HexRepo.t/0","doc":"Type describing a repository from a Hex-compliant API.\n\n<!-- tabs-open -->","ref":"Aura.Model.HexRepo.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexRepo.t/0","doc":"* **name** :: `t:repo_name/0`\n  * **public** ::  `t:public?/0`\n  * **active** :: `t:active?/0`\n  * **billing_active** :: `t:billing_active?/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexRepo.html#t:t/0-keys"},{"type":"module","title":"Aura.Model.HexUser","doc":"A struct defining a User for a Hex-compliant API","ref":"Aura.Model.HexUser.html"},{"type":"function","title":"Aura.Model.HexUser.build/1","doc":"Builds a `HexUser` from a map","ref":"Aura.Model.HexUser.html#build/1"},{"type":"type","title":"Aura.Model.HexUser.t/0","doc":"Type defining a User for a Hex-compliant API\n\n<!-- tabs-open -->","ref":"Aura.Model.HexUser.html#t:t/0"},{"type":"type","title":"🏷️ Keys - Aura.Model.HexUser.t/0","doc":"* **username** :: `t:Aura.Common.username/0`\n  * **email** ::  `t: Aura.Common.email/0`\n  * **inserted_at** :: `t:Aura.Model.Common.inserted_at/0`\n  * **updated_at** :: `t:Aura.Model.Common.updated_at/0`\n  * **url** :: `t:Aura.Model.Common.url/0`\n\n<!-- tabs-close -->","ref":"Aura.Model.HexUser.html#t:t/0-keys"},{"type":"module","title":"Aura.Common","doc":"Common capabilities across all Aura services","ref":"Aura.Common.html"},{"type":"type","title":"Aura.Common.api_path/0","doc":"The path parameter of the request (e.g \"/api/packages\")","ref":"Aura.Common.html#t:api_path/0"},{"type":"function","title":"Aura.Common.determine_path/2","doc":"Determines a `t:api_path/0` by investigating **opts** for a `:repo` key, representing a `Aura.Model.HexRepo`.\n\nIf present, **path** will be modified to scope solely to that repo, otherwise the **path** is unmodified.","ref":"Aura.Common.html#determine_path/2"},{"type":"type","title":"Aura.Common.email/0","doc":"An email address associated with this record","ref":"Aura.Common.html#t:email/0"},{"type":"type","title":"Aura.Common.package_name/0","doc":"Name of the package (e.g `\"plug\"`)","ref":"Aura.Common.html#t:package_name/0"},{"type":"function","title":"Aura.Common.stream_paginate/3","doc":"Implements Hex API's pagination mechanism by returning a `Stream.resource/3`","ref":"Aura.Common.html#stream_paginate/3"},{"type":"type","title":"Aura.Common.username/0","doc":"A unique, human-readable ID for a user","ref":"Aura.Common.html#t:username/0"},{"type":"module","title":"Aura.Model.Common","doc":"Module covering functions common to all Aura Models","ref":"Aura.Model.Common.html"},{"type":"type","title":"Aura.Model.Common.docs_html_url/0","doc":"URL with human-readable package/release documentation","ref":"Aura.Model.Common.html#t:docs_html_url/0"},{"type":"type","title":"Aura.Model.Common.html_url/0","doc":"URL with human-readable package/release information","ref":"Aura.Model.Common.html#t:html_url/0"},{"type":"type","title":"Aura.Model.Common.inserted_at/0","doc":"UTC `DateTime` for when the record was inserted into the database","ref":"Aura.Model.Common.html#t:inserted_at/0"},{"type":"function","title":"Aura.Model.Common.prepare/1","doc":"Cleans and validates a map into something Aura models can easily build","ref":"Aura.Model.Common.html#prepare/1"},{"type":"type","title":"Aura.Model.Common.updated_at/0","doc":"UTC `DateTime` for when the record was last modified in the database","ref":"Aura.Model.Common.html#t:updated_at/0"},{"type":"type","title":"Aura.Model.Common.url/0","doc":"The URL required to perform operations on this record","ref":"Aura.Model.Common.html#t:url/0"},{"type":"module","title":"Aura.PackageTarUtil","doc":"A utility to read a release tar from a Hex-compliant API","ref":"Aura.PackageTarUtil.html"},{"type":"function","title":"Aura.PackageTarUtil.read_release_tar/1","doc":"Reads a release tar from a given file path","ref":"Aura.PackageTarUtil.html#read_release_tar/1"},{"type":"module","title":"Aura.Requester","doc":"Utility for making HTTP requests to a Hex-compliant API","ref":"Aura.Requester.html"},{"type":"function","title":"Aura.Requester.delete/2","doc":"Makes a HTTP DELETE request","ref":"Aura.Requester.html#delete/2"},{"type":"function","title":"Aura.Requester.find_repo_url/1","doc":"Inspects given options, or the `Application.get_env/3` for\n  a Hex-compliant API URL","ref":"Aura.Requester.html#find_repo_url/1"},{"type":"function","title":"Aura.Requester.get/2","doc":"Makes a HTTP GET request","ref":"Aura.Requester.html#get/2"},{"type":"function","title":"Aura.Requester.hex_pm_url/0","doc":"Returns https://hex.pm/api","ref":"Aura.Requester.html#hex_pm_url/0"},{"type":"type","title":"Aura.Requester.http_method/0","doc":"The HTTP method to use for a given request","ref":"Aura.Requester.html#t:http_method/0"},{"type":"function","title":"Aura.Requester.post/2","doc":"Makes a HTTP POST request","ref":"Aura.Requester.html#post/2"},{"type":"function","title":"Aura.Requester.put/2","doc":"Makes a HTTP PUT request","ref":"Aura.Requester.html#put/2"},{"type":"function","title":"Aura.Requester.request/3","doc":"Makes a HTTP request","ref":"Aura.Requester.html#request/3"},{"type":"extras","title":"README","doc":"An ergonomic library for investigating Hex packages","ref":"readme.html"},{"type":"extras","title":"Table of Contents - README","doc":"- [Installation](#installation)\n\n\n🚧 This is my daily, acive project. Documentation on the way - Cam","ref":"readme.html#table-of-contents"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}